Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class ChipAuthenticationDomainParameterInfo

This class encodes and decodes ChipAuthenticationDomainParameterInfo objects.

The class implements the following ASN.1 syntax:

    	ChipAuthenticationDomainParameterInfo ::= SEQUENCE {
    		protocol OBJECT IDENTIFIER(id-CA-DH | id-CA-ECDH),
    		domainParameter AlgorithmIdentifier,
    		keyId INTEGER OPTIONAL
    }

Defined in: ChipAuthentication.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| ChipAuthenticationDomainParameterInfo(the) Create a ChipAuthenticationDomainParameterInfo object

Method Summary
Method Attributes | Method Name and Description
--- | ---
| toTLV() Convert object to TLV structure

Class Detail
ChipAuthenticationDomainParameterInfo(the)
Create a ChipAuthenticationDomainParameterInfo object

Parameters:
{ASN1} the
  optional tlv structure to initialize the object

Method Detail
{ASN1} toTLV()
Convert object to TLV structure

Returns:
  the TLV structure

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Apr 30 2026 15:08:16 GMT+0200 (CEST)